Loading...
Searching...
No Matches
Opm::BinaryCoeff::H2O_Xylene Class Reference

Binary coefficients for water and xylene. More...

`#include <H2O_Xylene.hpp>`

## Static Public Member Functions

template<class Evaluation>
static Evaluation | henry (const Evaluation &)
| Henry coefficent for xylene in liquid water.
template<class Evaluation>
static Evaluation | gasDiffCoeff (Evaluation temperature, Evaluation pressure)
| Binary diffusion coefficent [m^2/s] for molecular water and xylene.
template<class Evaluation>
static Evaluation | liquidDiffCoeff (const Evaluation &, const Evaluation &)
| Diffusion coefficent [m^2/s] for xylene in liquid water.

## Detailed Description

Binary coefficients for water and xylene.

## Member Function Documentation

## henry()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::H2O_Xylene::henry | ( | const Evaluation & |  | ) |

inline static

Henry coefficent for xylene in liquid water.

See:

Sanders1999 Henry collection

## liquidDiffCoeff()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::H2O_Xylene::liquidDiffCoeff | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Diffusion coefficent [m^2/s] for xylene in liquid water.

Todo

The documentation for this class was generated from the following file:

- opm/material/binarycoefficients/H2O_Xylene.hpp